/** @internal */
export declare function getNow(): Date;
/** @internal */
export declare function getNowWithoutTimezone(): number;
/** @internal */
export declare function addDaysToDate(dateTime: Date, days: number): Date;
export declare function getStartOfWeekDate(date?: Date): string;
export declare function getToday(): string;
export declare function changeTime(dateTime: Date, hours: number, minutes: number): Date;
/** @monorepo-internal */
export declare function parseExact(dateString: string, formatString: string): Date;
export declare function parse(dateString: string): Date;
export declare function tryParse(dateString?: string): Date;
/** @monorepo-internal */
export declare function unixTimestampToDate(unixTimestamp: number): Date;
/** @internal */
export declare function getDefaultDate(): Date;
/** @monorepo-internal */
export declare function subtractTime(dateTime: Date, hours: number, minutes: number): Date;
/** @monorepo-internal */
export declare function getCurrentDateSubHours(hours: number): Date;
/** @monorepo-internal */
export declare function getCurrentDateSubDays(days: number): Date;
/** @monorepo-internal */
export declare function getCurrentDateAddSeconds(seconds: number): Date;
/** @internal */
export declare function isBeforeNow(leftDate: Date): boolean;
export declare function getCurrentYearDateRange(): {
    startDate: Date;
    endDate: Date;
};
